// AlphaWindow.h: AlphaWindow NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ALPHAWINDOW_H__43ECC1AD_6FAA_11D4_9897_00C00CB069F5__INCLUDED_)
#define AFX_ALPHAWINDOW_H__43ECC1AD_6FAA_11D4_9897_00C00CB069F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"

BOOL InitInstance( HINSTANCE hInstance );
void ExitInstance();
LONG APIENTRY MainWndProc( HWND hWnd, UINT message, UINT wParam, LONG lParam );

class AlphaWindow  
{
public:
	AlphaWindow( HINSTANCE hInstance );
	virtual ~AlphaWindow();
	HWND Create();
	LRESULT WndProc( HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam );
	HBITMAP CreateAlphaContainedBitmap( HBITMAP hBitmap, HBITMAP hAlpha );

	HINSTANCE m_hInstance;
	HWND m_hWnd;
	HDC m_hDC;
	HBITMAP m_hBitmap;
	int m_nWidth, m_nHeight;
	HMENU m_hMenu;

	// bZ[W֐Q
	void OnCreate( HWND hWnd );
	void OnDestroy();
	void OnPaint( HDC hDC );
	int OnNcHitTest( int xPos, int yPos );
	void OnNcRButtonDown( int nHittest, POINTS pts );
};

#endif // !defined(AFX_ALPHAWINDOW_H__43ECC1AD_6FAA_11D4_9897_00C00CB069F5__INCLUDED_)
